<!--
 * @Author: liuJie
 * @Date: 2026-01-27 16:29:28
 * @LastEditors: liuJie
 * @LastEditTime: 2026-02-08 11:14:00
 * @Describe: file describe
-->
<template>
  <div class="safety-platform-container">
    <header class="safety-platform-container__header">
      <BreadcrumbBack />
      <span class="breadcrumb-title">{{ headerTitle }}</span>
    </header>
    <SafetySystemConstructionWorkPlanManagementDetail />
  </div>
</template>

<script setup lang="ts">
  import { computed } from 'vue';
  import { useRoute } from 'vue-router';
  import BreadcrumbBack from '@/components/BreadcrumbBack.vue';
  import SafetySystemConstructionWorkPlanManagementDetail from './components/safetySystemConstructionWorkPlanManagementDetail.vue';

  const route = useRoute();
  const operate = route.query.operate as string;

  const headerTitle = computed(() => {
    switch (operate) {
      case 'work-plan-create':
        return '新增安全体系建设工作计划';
      case 'work-plan-edit':
        return '编辑安全体系建设工作计划';
      case 'work-plan-view':
        return '查看安全体系建设工作计划';
      default:
        return '未知操作';
    }
  });
</script>

<style scoped lang="scss">
  @use '@/styles/page-details-layout.scss' as *;
  @use '@/styles/page-main-layout.scss' as *;

  .safety-platform-container__header {
    flex-direction: row !important;
    justify-content: flex-start !important;
    gap: 8px !important;
  }
</style>
